/*
 * Functions in "common.c"
 *
 */

#ifndef P_COMMONH
#define P_COMMONH

#include <mysql/mysql.h>
#include <mysql/mysqld_error.h>

int p_assign(MYSQL *db, char *filename, int minlen, int destarea);
char *p_basename(char *src);
int p_checkfilename(MYSQL *db, char *string);
int p_checkforspace(char *string);
int p_checkfornumber(char *string);
int p_checkforletter(char *string);
int p_checkp(char *path);
int p_connect(MYSQL *db);
int p_cp(char *src, char *dest);
// int p_exec(char *cmd, char *args[]);
int p_getdest(char *filename);
char *p_getmisc(MYSQL *db, char *key);
int p_setmisc(MYSQL *db, char *key, char *data);
int p_initcfg(MYSQL *db);
int p_makepattern(char *filename, char *output);
int p_md5check(char *md5sum);
int p_mv(char *src, char *dest);
int p_pathcomp(char *path, char *head, char *tail);
int p_query(MYSQL *db, const char * format,...);
int p_strtolc(char *string);

#endif
